EaserixDocs
DevelopersAPI referenceSignPublic links

One public signing link, with its editable content

Owner-scoped. Includes recipients/fields, for a manage/edit view.

View as Markdown
GET
/v1/public-signing/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/public-signing/string"
{  "publicSigningLink": {    "id": "string",    "name": "string",    "status": "draft",    "hasFile": true,    "pages": 0,    "recipients": [      {        "name": "string",        "role": "string",        "orderIndex": 0,        "isGroup": true,        "groupLabel": "string"      }    ],    "fields": [      {        "type": "signature",        "x": 0,        "y": 0,        "width": 0,        "height": 0,        "page": 0,        "required": true,        "label": "string",        "recipientIndex": 0,        "key": "string",        "config": {}      }    ],    "visitorSlotIndex": 0,    "expiresAt": "2019-08-24T14:15:22Z",    "maxSubmissions": 0,    "submissionCount": 0,    "oneSubmissionPerEmail": true,    "publishedAt": "2019-08-24T14:15:22Z",    "pausedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "url": "string"  }}